/* Peter Schaeffer */
#include <stdio.h>

FILE *in;
int c, n, nx[100001], cx[100000];

int main()
{
  in=stdin;
  while(1)
    {
      fscanf(in, " %d %d ", &c, &n);
      if (!c) break;
      for(int i=1; i<=n; i++)
	fscanf(in, " %d ", &nx[i]);
      for(int i=0; i<c; i++) cx[i]=0;
      int pos=0;
      for(int i=1; i<=n; i++)
	{
	  cx[pos]=i;
	  pos=(pos+nx[i])%c;
	  if (cx[pos])
	    {
	      for(int j=cx[pos]; j<=i; j++) printf("%d ", j);
	      printf("\n");
	      goto weiter;
	    }
	}
    weiter:;
    }
  return 0;
}
